**Purpose**:
Self-Hosted Open-Source email server that can be setup in minutes, and is enterprise-grade if upgraded with an iRedAdmin-Pro license.

!!! note "Assumptions"
    It is assumed you are running at least Rocky Linux 9.3.  While you can use CentOS Stream, Alma, Debian, Ubuntu, FreeBSD, and OpenBSD, the more enterprise-level sections of my homelab are built on Rocky Linux.

## Deployment
The instructions below are specific to my homelab environment, but can be easily ported depending on your needs.  You can follow along with the official documentation on [Installation](https://docs.iredmail.org/install.iredmail.on.rhel.html) as well as [DNS Record Configuration](https://docs.iredmail.org/setup.dns.html) if you want more detailed explanations throughout the installation process.

Start by connecting to the server / VM via SSH, then issue the commands below:
``` sh
sudo yum update -y
dnf -y install https://dl.fedoraproject.org/pub/epel/epel-release-latest-9.noarch.rpm
cd /root
curl https://codeload.github.com/iredmail/iRedMail/tar.gz/refs/tags/1.6.8 -o iRedMail-1.6.8.tar.gz
tar zxf iRedMail-1.6.8.tar.gz
cd /root/iRedMail-1.6.8
bash iRedMail.sh
```

!!! note
    Please substitute the `1.6.8` version number if a newer version of iRedMail is available.  You can check for the most recent version number on the [Official Download Page](https://www.iredmail.org/download.html).